# Class RunProperties

#### Hierarchy

- IgnoreIfEmptyXmlComponent
  - RunProperties

- Defined in src/file/paragraph/run/properties.ts:101

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml
push

## Constructors

### constructor

- new RunProperties(options?: IRunPropertiesOptions): RunProperties

- #### Parameters

  - ##### `Optional` options: IRunPropertiesOptions

  #### Returns RunProperties

  Overrides IgnoreIfEmptyXmlComponent.constructor

  - Defined in src/file/paragraph/run/properties.ts:102

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from IgnoreIfEmptyXmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:34

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from IgnoreIfEmptyXmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:42

### push

- push(item: XmlComponent): void

- #### Parameters

  - ##### item: XmlComponent

  #### Returns void

  - Defined in src/file/paragraph/run/properties.ts:222

Generated using TypeDoc